org.apache.xmlbeans.impl.store

## Class Locale

- java.lang.Object
- - org.apache.xmlbeans.impl.store.Locale

All Implemented Interfaces:
  XmlLocale, Saaj.SaajCallback, DOMImplementation

    public final class Locale
    extends Object
    implements DOMImplementation, Saaj.SaajCallback, XmlLocale

### Nested Class Summary

Nested Classes
`static class` `Locale.LoadContext`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `associateSourceName(Cur c, XmlOptions options)`
`static void` `autoTypeDocument(Cur c, SchemaType requestedType, XmlOptions options)`
`static void` `clearThreadLocals()`
`Document` `createDocument(String uri, String qname, DocumentType doctype)`
`DocumentType` `createDocumentType(String qname, String publicId, String systemId)`
`Element` `createSoapElement(QName name, QName parentName)`
`void` `enter()`
`void` `enter(Locale otherLocale)`
`void` `exit()`
`void` `exit(Locale otherLocale)`
`Object` `getFeature(String feature, String version)`
`static Locale` `getLocale(SchemaTypeLoader stl, XmlOptions options)`
`Object` `getSaajData(Node n)`
`SchemaTypeLoader` `getSchemaTypeLoader()`
`boolean` `hasFeature(String feature, String version)`
`Element` `importSoapElement(Document doc, Element elem, boolean deep, QName parentName)`
`DomImpl.Dom` `load(InputStream in)`
`DomImpl.Dom` `load(InputStream in, XmlOptions options)`
`DomImpl.Dom` `load(Reader r)`
`DomImpl.Dom` `load(Reader r, XmlOptions options)`
`DomImpl.Dom` `load(String s)`
`DomImpl.Dom` `load(String s, XmlOptions options)`
`void` `loadNode(Node n, Locale.LoadContext context)`
`static DOMImplementation` `newDomImplementation(SchemaTypeLoader stl, XmlOptions options)`
`static XmlObject` `newInstance(SchemaTypeLoader stl, SchemaType type, XmlOptions options)`
`static XmlSaxHandler` `newSaxHandler(SchemaTypeLoader stl, SchemaType type, XmlOptions options)`
`static XmlCursor` `nodeToCursor(Node n)`
`static XmlObject` `nodeToXmlObject(Node n)`
`static XMLStreamReader` `nodeToXmlStream(Node n)`
`boolean` `noSync()`
`static XmlObject` `parseToXmlObject(SchemaTypeLoader stl, InputStream is, SchemaType type, XmlOptions options)`
`static XmlObject` `parseToXmlObject(SchemaTypeLoader stl, Node node, SchemaType type, XmlOptions options)`
`static XmlObject` `parseToXmlObject(SchemaTypeLoader stl, Reader reader, SchemaType type, XmlOptions options)`
`static XmlObject` `parseToXmlObject(SchemaTypeLoader stl, String xmlText, SchemaType type, XmlOptions options)`
`static XmlObject` `parseToXmlObject(SchemaTypeLoader stl, XMLStreamReader xsr, SchemaType type, XmlOptions options)`
`void` `setSaajData(Node n, Object o)`
`static Node` `streamToNode(XMLStreamReader xs)`
`boolean` `sync()`
`static boolean` `toFirstChildElement(Cur c)`
`long` `version()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getLocale

    public static Locale getLocale(SchemaTypeLoader stl,
                                   XmlOptions options)

#### associateSourceName

    public static void associateSourceName(Cur c,
                                           XmlOptions options)

#### autoTypeDocument

    public static void autoTypeDocument(Cur c,
                                        SchemaType requestedType,
                                        XmlOptions options)
                                 throws XmlException

Throws:
  `XmlException`

#### newInstance

    public static XmlObject newInstance(SchemaTypeLoader stl,
                                        SchemaType type,
                                        XmlOptions options)

#### newDomImplementation

    public static DOMImplementation newDomImplementation(SchemaTypeLoader stl,
                                                         XmlOptions options)

#### parseToXmlObject

    public static XmlObject parseToXmlObject(SchemaTypeLoader stl,
                                             String xmlText,
                                             SchemaType type,
                                             XmlOptions options)
                                      throws XmlException

Throws:
  `XmlException`

#### parseToXmlObject

    public static XmlObject parseToXmlObject(SchemaTypeLoader stl,
                                             XMLStreamReader xsr,
                                             SchemaType type,
                                             XmlOptions options)
                                      throws XmlException

Throws:
  `XmlException`

#### parseToXmlObject

    public static XmlObject parseToXmlObject(SchemaTypeLoader stl,
                                             InputStream is,
                                             SchemaType type,
                                             XmlOptions options)
                                      throws XmlException,
                                             IOException

Throws:
  `XmlException`
  `IOException`

#### parseToXmlObject

    public static XmlObject parseToXmlObject(SchemaTypeLoader stl,
                                             Reader reader,
                                             SchemaType type,
                                             XmlOptions options)
                                      throws XmlException,
                                             IOException

Throws:
  `XmlException`
  `IOException`

#### parseToXmlObject

    public static XmlObject parseToXmlObject(SchemaTypeLoader stl,
                                             Node node,
                                             SchemaType type,
                                             XmlOptions options)
                                      throws XmlException

Throws:
  `XmlException`

#### loadNode

    public void loadNode(Node n,
                         Locale.LoadContext context)

#### newSaxHandler

    public static XmlSaxHandler newSaxHandler(SchemaTypeLoader stl,
                                              SchemaType type,
                                              XmlOptions options)

#### clearThreadLocals

    public static void clearThreadLocals()

#### toFirstChildElement

    public static boolean toFirstChildElement(Cur c)

#### version

    public long version()

#### enter

    public void enter(Locale otherLocale)

#### enter

    public void enter()

Specified by:
  `enter` in interface `XmlLocale`

#### exit

    public void exit(Locale otherLocale)

#### exit

    public void exit()

Specified by:
  `exit` in interface `XmlLocale`

#### noSync

    public boolean noSync()

Specified by:
  `noSync` in interface `XmlLocale`

#### sync

    public boolean sync()

Specified by:
  `sync` in interface `XmlLocale`

#### load

    public DomImpl.Dom load(Reader r)
                     throws XmlException,
                            IOException

Throws:
  `XmlException`
  `IOException`

#### load

    public DomImpl.Dom load(Reader r,
                            XmlOptions options)
                     throws XmlException,
                            IOException

Throws:
  `XmlException`
  `IOException`

#### load

    public DomImpl.Dom load(InputStream in)
                     throws XmlException,
                            IOException

Throws:
  `XmlException`
  `IOException`

#### load

    public DomImpl.Dom load(InputStream in,
                            XmlOptions options)
                     throws XmlException,
                            IOException

Throws:
  `XmlException`
  `IOException`

#### load

    public DomImpl.Dom load(String s)
                     throws XmlException

Throws:
  `XmlException`

#### load

    public DomImpl.Dom load(String s,
                            XmlOptions options)
                     throws XmlException

Throws:
  `XmlException`

#### createDocument

    public Document createDocument(String uri,
                                   String qname,
                                   DocumentType doctype)

Specified by:
  `createDocument` in interface `DOMImplementation`

#### createDocumentType

    public DocumentType createDocumentType(String qname,
                                           String publicId,
                                           String systemId)

Specified by:
  `createDocumentType` in interface `DOMImplementation`

#### hasFeature

    public boolean hasFeature(String feature,
                              String version)

Specified by:
  `hasFeature` in interface `DOMImplementation`

#### getFeature

    public Object getFeature(String feature,
                             String version)

Specified by:
  `getFeature` in interface `DOMImplementation`

#### nodeToCursor

    public static XmlCursor nodeToCursor(Node n)

#### nodeToXmlObject

    public static XmlObject nodeToXmlObject(Node n)

#### nodeToXmlStream

    public static XMLStreamReader nodeToXmlStream(Node n)

#### streamToNode

    public static Node streamToNode(XMLStreamReader xs)

#### setSaajData

    public void setSaajData(Node n,
                            Object o)

Specified by:
  `setSaajData` in interface `Saaj.SaajCallback`

#### getSaajData

    public Object getSaajData(Node n)

Specified by:
  `getSaajData` in interface `Saaj.SaajCallback`

#### createSoapElement

    public Element createSoapElement(QName name,
                                     QName parentName)

Specified by:
  `createSoapElement` in interface `Saaj.SaajCallback`

#### importSoapElement

    public Element importSoapElement(Document doc,
                                     Element elem,
                                     boolean deep,
                                     QName parentName)

Specified by:
  `importSoapElement` in interface `Saaj.SaajCallback`

#### getSchemaTypeLoader

    public SchemaTypeLoader getSchemaTypeLoader()